package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class ExcepcionesSeccionDTO extends BaseDTO {

	private static final long  serialVersionUID	= 1L;

	private String[][]		   excepciones;
	private String[]		   periodos;
	private String[][]		   titulos;
	private List<List<String>> lista;

	public String[] getPeriodos() {
		return periodos;
	}

	public void setPeriodos(String[] periodos) {
		this.periodos = periodos;
	}

	public String[][] getExcepciones() {
		return excepciones;
	}

	public void setExcepciones(String[][] excepciones) {
		this.excepciones = excepciones;
	}

	public String[][] getTitulos() {
		return titulos;
	}

	public void setTitulos(String[][] titulos) {
		this.titulos = titulos;
	}

	public List<List<String>> getLista() {
		return lista;
	}

	public void setLista(List<List<String>> lista) {
		this.lista = lista;

		if (lista != null && lista.size() > 0) {
			this.excepciones = new String[lista.size()][lista.get(0).size()];
			for (int i = 0; i < lista.size(); i++)
				for (int j = 0; j < lista.get(i).size(); j++)
					this.excepciones[i][j] = lista.get(i).get(j);
		}
	}

}
